package com.muchinfo.mtp3interface.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muchinfo.mtp3pojos.entity.Arearole;
import com.muchinfo.mtp3pojos.entity.Goods;
import com.muchinfo.mtp3pojos.entity.Market;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 机构角色表 Mapper 接口
 * </p>
 *
 * @author XKF
 * @since 2024-04-16
 */
@Mapper
public interface IArearoleMapper extends BaseMapper<Arearole> {

    String getRolesByAreaid(Long areauserid);

    List<Market> queryMarketsForOperate();

    List<Goods> queryGoodsAndMarketInfo();

}
